// echofilesvc.idl : IDL source for echofilesvc
//

// This file will be processed by the MIDL tool to
// produce the type library (echofilesvc.tlb) and marshalling code.

import "oaidl.idl";
import "ocidl.idl";

[
	object,
	uuid(4A03805E-1E4C-42FD-AA9F-A2DFA7BF98C2),
	dual,
	nonextensible,
	helpstring("IechofilesvcObj Interface"),
	pointer_default(unique)
]
interface IechofilesvcObj : IDispatch{
	[id(1), helpstring("method echoDataFile")] HRESULT echoDataFile([in] VARIANT inputDataFile, [out, retval] VARIANT *outputDataFile);
};
[
	uuid(ED79280D-618B-4C9B-B367-11C0E7C229C8),
	version(1.0),
	helpstring("echofilesvc 1.0 Type Library")
]
library echofilesvcLib
{
	importlib("stdole2.tlb");
	[
		uuid(855850BF-7376-436C-8226-C80405AE575E),
		helpstring("echofilesvcObj Class")
	]
	coclass echofilesvcObj
	{
		[default] interface IechofilesvcObj;
	};
};
